OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient Class Reference

`#include <STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient.hxx>`

## Public Member Functions
| STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient (const TCollection_AsciiString &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_AsciiString | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient | ( | const TCollection_AsciiString & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::Handle | ( | Standard_Type |  | ) | const

TCollection_AsciiString& STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::Key | ( |  | ) | const

Handle_Standard_Transient& STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::myKey`[private]`

Handle_Standard_Transient STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient::myValue`[private]`

The documentation for this class was generated from the following file:

- STEPConstruct_DataMapNodeOfDataMapOfAsciiStringTransient.hxx